<template>
  <div class="common-input-field-wrapper">
    <div class="common-input-field">
      <slot></slot>
    </div>
    <RectRight :size="12" class="common-input-field-icon" />
  </div>
</template>

<script setup lang="ts">
import { RectRight } from '@nutui/icons-vue-taro';

defineOptions({
  name: 'CommonInputField',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.common-input-field-wrapper {
  display: flex;
  width: 100%;

  .common-input-field {
    flex: 1;
    min-width: 0;
  }

  .common-input-field-icon {
    margin-left: 18px;
    color: boleGetCssVar('text-color', 'primary');
  }
}
</style>
